signature KCsiga =
    (* dp02s nhf v1.0 -- 2002. prilis 17. Hank Dvid *)
sig
    (* csiga_be f = az f szveges llomnybl beolvasott adatokbl kpzett
       feladvnyler.
     *)
    val csiga_be : string -> TCsiga.feladvany_leiro

    (* csiga_ki(m, ms) = az ms megoldslistt olvashat formban kirja az
       m szveges llomnyba.
     *)
    val csiga_ki : string * TCsiga.csigatabla list -> unit

    (* megold(f, m) = beolvas egy feladvnyt az f szveges llomnybl s
       kirja az sszes megoldst az m szveges llomnyba. Ehhez
       termszetesen szksge van a Csiga.buvos_csiga fggvnyre. Eredmnye
       az f nevet, a megoldsok szmt s a futsi idt mp-ben tartalmaz
       fzr.
     *)
    val megold   : string * string -> string
end
