structure TCsiga =
struct
      type meret           = int (* 0 < meret *)
      type ciklus          = int (* 0 < ciklus <= meret *)
      type sorszam         = int (* 0 < sorszam <= meret *)
      type oszlopszam      = int (* 0 < oszlopszam <= meret *)
      type ertek           = int (* 0 < ertek <= ciklus *) 
      type adott_elem      = sorszam * oszlopszam * ertek
      type feladvany_leiro = meret * ciklus * adott_elem list

      type ertek_vagy_ures = int (* ertek_vagy_ures = 0, ha ures,
                                    egyebkent 0 < ertek_vagy_ures <= ciklus *)
      type sor             = ertek_vagy_ures list
      type csigatabla      = sor list
end
